org.springframework.cloud.dataflow.server.controller

## Class JobStepExecutionController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.JobStepExecutionController

-     @RestController
       @RequestMapping(value="/jobs/executions/{jobExecutionId}/steps")
       @ExposesResourceFor(value=StepExecutionResource.class)
      public class JobStepExecutionController
      extends Object

  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobStepExecutionController(JobService jobService)` Creates a `JobStepExecutionsController` that retrieves Job Step Execution information from a the `JobService`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StepExecutionResource` | `getStepExecution(Long id, Long stepId)` Retrieve a specific `StepExecutionResource`.
    `org.springframework.hateoas.PagedModel<StepExecutionResource>` | `stepExecutions(long id, org.springframework.data.domain.Pageable pageable, org.springframework.data.web.PagedResourcesAssembler<org.springframework.batch.core.StepExecution> assembler)` List all step executions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobStepExecutionController

          @Autowired
          public JobStepExecutionController(JobService jobService)

      Creates a `JobStepExecutionsController` that retrieves Job Step Execution information from a the `JobService`
      Parameters:
        `jobService` - the service this controller will use for retrieving job step execution information.

  - ### Method Detail

    - #### stepExecutions

          @RequestMapping(value="",
                          method=GET)
           @ResponseStatus(value=OK)
          public org.springframework.hateoas.PagedModel<StepExecutionResource> stepExecutions(@PathVariable(value="jobExecutionId")
                                                                                                                                                                               long id,
                                                                                                                                                                               org.springframework.data.domain.Pageable pageable,
                                                                                                                                                                               org.springframework.data.web.PagedResourcesAssembler<org.springframework.batch.core.StepExecution> assembler)
                                                                                                                                                                        throws org.springframework.batch.core.launch.NoSuchJobExecutionException

      List all step executions.
      Parameters:
        `id` - the `JobExecution`.
        `pageable` - the pagination information.
        `assembler` - the resource assembler for step executions.
      Returns:
        Collection of `StepExecutionResource` for the given jobExecutionId.
      Throws:
        `org.springframework.batch.core.launch.NoSuchJobExecutionException` - if the job execution for the id specified does not exist.

    - #### getStepExecution

          @RequestMapping(value="/{stepExecutionId}",
                          method=GET)
           @ResponseStatus(value=OK)
          public StepExecutionResource getStepExecution(@PathVariable(value="jobExecutionId")
                                                                                                                                                           Long id,
                                                                                                                                                           @PathVariable(value="stepExecutionId")
                                                                                                                                                           Long stepId)
                                                                                                                                                    throws NoSuchStepExecutionException,
                                                                                                                                                           org.springframework.batch.core.launch.NoSuchJobExecutionException

      Retrieve a specific `StepExecutionResource`.
      Parameters:
        `id` - the `JobExecution` id.
        `stepId` - the `StepExecution` id.
      Returns:
        Collection of `StepExecutionResource` for the given jobExecutionId.
      Throws:
        `NoSuchStepExecutionException` - if the stepId specified does not exist.
        `org.springframework.batch.core.launch.NoSuchJobExecutionException` - if the job execution for the id specified does not exist.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.